NET_DestroyDatagramSocket(3)

NAME
NET_DestroyDatagramSocket - Dispose of a previously-created datagram socket.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

void NET_DestroyDatagramSocket(NET_DatagramSocket *sock);

DESCRIPTION
This will _abandon_ any data queued for sending that hasn't made it to the socket. If you need this data to arrive, you should wait for confirmation from the remote computer in some form that you devise yourself. Queued data is not guaranteed to arrive even if the library made efforts to transmit it here.

Any data that has arrived from the remote end of the connection that hasn't been read yet is lost.

FUNCTION PARAMETERS

sock
    datagram socket to destroy.

THREAD SAFETY
You should not operate on the same socket from multiple threads at the same time without supplying a serialization mechanism. However, different threads may access different sockets at the same time without problems.

AVAILABILITY
This function is available since SDL_net 3.0.0.

SEE ALSO
NET_CreateDatagramSocket(3), NET_SendDatagram(3), NET_ReceiveDatagram(3)